/**
 * @file
 * Description.
 */

(function ($, Drupal, drupalSettings) {

  Drupal.behaviors.typedjs = {
    attach: function (context, settings) {
      for (var key in drupalSettings.typedjs.strings) {
        if (drupalSettings.typedjs.strings.hasOwnProperty(key)) {
          const elemId = '#' + key;
          $(elemId, context).once().each(function() {
            new Typed(elemId, {
              ...drupalSettings.typedjs.settings,
              strings: drupalSettings.typedjs.strings[key]
            });
          })
        }
      }
    }
  }
})(jQuery, Drupal, drupalSettings);